package com.ruoyi.customer.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 客户管理对象 customer
 *
 * @author ruoyi
 * @date 2024-03-25
 */
public class Customer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 客户ID */
    private String cusId;

    /** 客户编码 */
    @Excel(name = "客户编码")
    private String cusCode;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String cusName;

    /** SAP客户编码 */
    @Excel(name = "SAP客户编码")
    private String cusSapCode;

    /** 街道/门牌号 */
    @Excel(name = "街道/门牌号")
    private String cusStreet;

    /** 付款条件 */
    @Excel(name = "付款条件",dictType  = "cus_payment_terms")
    private String cusPaymentTerms;

    /** 电话号码 */
    @Excel(name = "电话号码")
    private String cusPhoneNumber;

    /** 行业代码 */
    @Excel(name = "行业代码")
    private String cusIndustryCode;

    /** 客户组类别 */
    @Excel(name = "客户组类别",dictType  = "cus_group")
    private String cusGroup;

    /** 增值税号 */
    @Excel(name = "增值税号")
    private String cusVatNo;

    /** 客户类型 */
    @Excel(name = "客户类型",dictType  = "cus_type")
    private String cusType;

    /** 国家 */
    @Excel(name = "国家",dictType  = "cus_country")
    private String cusCountry;

    /** 语言 */
    @Excel(name = "语言",dictType  = "cus_language")
    private String cusLanguage;

    /** 客户标签 */
    @Excel(name = "客户标签")
    private String cusLabel;

    /** 客户分类 */
    @Excel(name = "客户分类")
    private String cusClassification;

    /** 电子发票接收邮箱 */
    @Excel(name = "电子发票接收邮箱")
    private String cusReceivingEmail;

    /** 收件人 */
    @Excel(name = "收件人")
    private String cusRecipient;

    /** 收件人电话 */
    @Excel(name = "收件人电话")
    private String cusRecipientPhone;

    /** 备注 */
    @Excel(name = "备注")
    private String cusRemark;

    /** 客户禁用状态 */
    @Excel(name = "客户禁用状态",dictType  = "common_state")
    private String cusState;

    /** 客户审批状态 */
    @Excel(name = "客户审批状态",dictType  = "cus_approval_status")
    private String cusApprovalStatus;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createName;

    /** 银行信息 */
    private List<Bank> bankList;

    public void setCusId(String cusId)
    {
        this.cusId = cusId;
    }

    public String getCusId()
    {
        return cusId;
    }
    public void setCusCode(String cusCode)
    {
        this.cusCode = cusCode;
    }

    public String getCusCode()
    {
        return cusCode;
    }
    public void setCusName(String cusName)
    {
        this.cusName = cusName;
    }

    public String getCusName()
    {
        return cusName;
    }
    public void setCusSapCode(String cusSapCode)
    {
        this.cusSapCode = cusSapCode;
    }

    public String getCusSapCode()
    {
        return cusSapCode;
    }
    public void setCusStreet(String cusStreet)
    {
        this.cusStreet = cusStreet;
    }

    public String getCusStreet()
    {
        return cusStreet;
    }
    public void setCusPaymentTerms(String cusPaymentTerms)
    {
        this.cusPaymentTerms = cusPaymentTerms;
    }

    public String getCusPaymentTerms()
    {
        return cusPaymentTerms;
    }
    public void setCusPhoneNumber(String cusPhoneNumber)
    {
        this.cusPhoneNumber = cusPhoneNumber;
    }

    public String getCusPhoneNumber()
    {
        return cusPhoneNumber;
    }
    public void setCusIndustryCode(String cusIndustryCode)
    {
        this.cusIndustryCode = cusIndustryCode;
    }

    public String getCusIndustryCode()
    {
        return cusIndustryCode;
    }
    public void setCusGroup(String cusGroup)
    {
        this.cusGroup = cusGroup;
    }

    public String getCusGroup()
    {
        return cusGroup;
    }
    public void setCusVatNo(String cusVatNo)
    {
        this.cusVatNo = cusVatNo;
    }

    public String getCusVatNo()
    {
        return cusVatNo;
    }
    public void setCusType(String cusType)
    {
        this.cusType = cusType;
    }

    public String getCusType()
    {
        return cusType;
    }
    public void setCusCountry(String cusCountry)
    {
        this.cusCountry = cusCountry;
    }

    public String getCusCountry()
    {
        return cusCountry;
    }
    public void setCusLanguage(String cusLanguage)
    {
        this.cusLanguage = cusLanguage;
    }

    public String getCusLanguage()
    {
        return cusLanguage;
    }
    public void setCusLabel(String cusLabel)
    {
        this.cusLabel = cusLabel;
    }

    public String getCusLabel()
    {
        return cusLabel;
    }
    public void setCusClassification(String cusClassification)
    {
        this.cusClassification = cusClassification;
    }

    public String getCusClassification()
    {
        return cusClassification;
    }
    public void setCusReceivingEmail(String cusReceivingEmail)
    {
        this.cusReceivingEmail = cusReceivingEmail;
    }

    public String getCusReceivingEmail()
    {
        return cusReceivingEmail;
    }
    public void setCusRecipient(String cusRecipient)
    {
        this.cusRecipient = cusRecipient;
    }

    public String getCusRecipient()
    {
        return cusRecipient;
    }
    public void setCusRecipientPhone(String cusRecipientPhone)
    {
        this.cusRecipientPhone = cusRecipientPhone;
    }

    public String getCusRecipientPhone()
    {
        return cusRecipientPhone;
    }
    public void setCusRemark(String cusRemark)
    {
        this.cusRemark = cusRemark;
    }

    public String getCusRemark()
    {
        return cusRemark;
    }
    public void setCusState(String cusState)
    {
        this.cusState = cusState;
    }

    public String getCusState()
    {
        return cusState;
    }
    public void setCusApprovalStatus(String cusApprovalStatus)
    {
        this.cusApprovalStatus = cusApprovalStatus;
    }

    public String getCusApprovalStatus()
    {
        return cusApprovalStatus;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public List<Bank> getBankList()
    {
        return bankList;
    }

    public void setBankList(List<Bank> bankList)
    {
        this.bankList = bankList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cusId", getCusId())
            .append("cusCode", getCusCode())
            .append("cusName", getCusName())
            .append("cusSapCode", getCusSapCode())
            .append("cusStreet", getCusStreet())
            .append("cusPaymentTerms", getCusPaymentTerms())
            .append("cusPhoneNumber", getCusPhoneNumber())
            .append("cusIndustryCode", getCusIndustryCode())
            .append("cusGroup", getCusGroup())
            .append("cusVatNo", getCusVatNo())
            .append("cusType", getCusType())
            .append("cusCountry", getCusCountry())
            .append("cusLanguage", getCusLanguage())
            .append("cusLabel", getCusLabel())
            .append("cusClassification", getCusClassification())
            .append("cusReceivingEmail", getCusReceivingEmail())
            .append("cusRecipient", getCusRecipient())
            .append("cusRecipientPhone", getCusRecipientPhone())
            .append("cusRemark", getCusRemark())
            .append("cusState", getCusState())
            .append("cusApprovalStatus", getCusApprovalStatus())
            .append("bankList", getBankList())
            .toString();
    }
}
