package com.ruoyi.customer.mapper;

import java.util.List;
import com.ruoyi.customer.domain.Customer;
import com.ruoyi.customer.domain.Bank;

/**
 * 客户管理Mapper接口
 *
 * @author ruoyi
 * @date 2024-03-25
 */
public interface CustomerMapper
{
    /**
     * 查询客户管理
     *
     * @param cusId 客户管理主键
     * @return 客户管理
     */
    public Customer selectCustomerByCusId(String cusId);

    /**
     * 查询客户管理列表
     *
     * @param customer 客户管理
     * @return 客户管理集合
     */
    public List<Customer> selectCustomerList(Customer customer);

    /**
     * 新增客户管理
     *
     * @param customer 客户管理
     * @return 结果
     */
    public int insertCustomer(Customer customer);

    /**
     * 修改客户管理
     *
     * @param customer 客户管理
     * @return 结果
     */
    public int updateCustomer(Customer customer);

    /**
     * 删除客户管理
     *
     * @param cusId 客户管理主键
     * @return 结果
     */
    public int deleteCustomerByCusId(String cusId);

    /**
     * 批量删除客户管理
     *
     * @param cusIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCustomerByCusIds(String[] cusIds);

    /**
     * 批量删除银行
     *
     * @param cusIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBankByCusIds(String[] cusIds);

    /**
     * 批量新增银行
     *
     * @param bankList 银行列表
     * @return 结果
     */
    public int batchBank(List<Bank> bankList);


    /**
     * 通过客户管理主键删除银行信息
     *
     * @param cusId 客户管理ID
     * @return 结果
     */
    public int deleteBankByCusId(String cusId);
}
