package com.ruoyi.customer.service;

import java.util.List;
import com.ruoyi.customer.domain.Customer;

/**
 * 客户管理Service接口
 *
 * @author ruoyi
 * @date 2024-03-25
 */
public interface ICustomerService
{
    /**
     * 查询客户管理
     *
     * @param cusId 客户管理主键
     * @return 客户管理
     */
    public Customer selectCustomerByCusId(String cusId);

    /**
     * 查询客户管理列表
     *
     * @param customer 客户管理
     * @return 客户管理集合
     */
    public List<Customer> selectCustomerList(Customer customer);

    /**
     * 新增客户管理
     *
     * @param customer 客户管理
     * @return 结果
     */
    public int insertCustomer(Customer customer);

    /**
     * 修改客户管理
     *
     * @param customer 客户管理
     * @return 结果
     */
    public int updateCustomer(Customer customer);

    /**
     * 批量删除客户管理
     *
     * @param cusIds 需要删除的客户管理主键集合
     * @return 结果
     */
    public int deleteCustomerByCusIds(String[] cusIds);

    /**
     * 删除客户管理信息
     *
     * @param cusId 客户管理主键
     * @return 结果
     */
    public int deleteCustomerByCusId(String cusId);
}
