package com.ruoyi.quot.domain;

import java.util.Date;
import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 报价对象 quot
 *
 * @author ruoyi
 * @date 2024-04-01
 */
public class Quot extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**   */
    private String quotId;

    /** 报价单号 */
    @Excel(name = "报价单号")
    private String quotCode;

    /** 业务员编码 */
    private String quotSalesmanBm;

    /** 业务员 */
    @Excel(name = "业务员")
    private String quotSalesmanName;

    /** 客户编码 */
    private String quotCustomerBm;
    /** 客户名称 */
    @Excel(name = "客户名称")
    private String quotCustomerName;

    /** 业务员所属部门id */
    private String quotSalesmanDeptId;

    /** 业务员所属部门 */
    private String quotSalesmanDeptName;

    /** 地址 */
    private String quotAddress;

    /** 联系电话 */
    private String quotPhone;

    /** 询价日期 */
    @Excel(name = "询价日期")
    private Date quotInquiryDate;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String quotProject;

    /** 报价日期 */
    @Excel(name = "报价日期")
    private Date quotQuotationDate;

    /** 报价来源 */
    private String quotQuotationFrom;

    /** 报价要求 */
    @Excel(name = "报价要求")
    private String quotQuotationRequire;

    /** 反馈说明 */
    @Excel(name = "反馈说明")
    private String quotFeedbackExplanation;

    /** 数量 */
    @Excel(name = "数量")
    private String quotQuantity;

    /** 总价 */
    @Excel(name = "总价")
    private String quotTotalPrice;

    /** 审核人账号 */
    private String quotCheckUserName;

    /** 审核人 */
    @Excel(name = "审核人")
    private String quotCheckUserNickname;

    /** 提交状态 */
    @Excel(name = "提交状态")
    private String quotApprovalStatus;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createName;



    /** 技术协助 */
    private String quotJsxzStandard;//技术协助-标准
    private String quotJsxzApprovalStatus;//技术协助-协助状态
    private String quotJsxzChapter;//技术协助-是否需要技术章
    private String quotJsxzTechnicalRequirement;//技术协助-技术要求
    private String[] quotJsxzGroup;//技术协助-分组
    private String quotJsxzGroupValues;//技术协助-分组
    private String quotJsxzConfirmId;//技术协助-技术确认单id
    private String quotJsxzConfirmCode;//技术协助-技术确认单号

    private String quotJsqrTlApprovalStatus;//技术协助-特缆协助状态
    private String quotJsqrTlRemark;//技术协助-特缆协助说明

    private String quotJsqrDyApprovalStatus;//技术协助-低压协助状态
    private String quotJsqrDyRemark;//技术协助-低压协助说明

    private String quotJsqrZyApprovalStatus;//技术协助-中压协助状态
    private String quotJsqrZyRemark;//技术协助-中压协助说明

    private String quotJsqrQtApprovalStatus;//技术协助-其他协助状态
    private String quotJsqrQtRemark;//技术协助-其他协助说明

    /** 报价单-产品信息 */
    private List<QuotMaterial> quotMaterialList;

    public void setQuotId(String quotId)
    {
        this.quotId = quotId;
    }

    public String getQuotId()
    {
        return quotId;
    }
    public void setQuotCode(String quotCode)
    {
        this.quotCode = quotCode;
    }

    public String getQuotCode()
    {
        return quotCode;
    }
    public void setQuotSalesmanBm(String quotSalesmanBm)
    {
        this.quotSalesmanBm = quotSalesmanBm;
    }

    public String getQuotSalesmanBm()
    {
        return quotSalesmanBm;
    }
    public void setQuotSalesmanName(String quotSalesmanName)
    {
        this.quotSalesmanName = quotSalesmanName;
    }

    public String getQuotSalesmanName()
    {
        return quotSalesmanName;
    }
    public void setQuotCustomerName(String quotCustomerName)
    {
        this.quotCustomerName = quotCustomerName;
    }

    public String getQuotCustomerBm() {return quotCustomerBm;}
    public void setQuotCustomerBm(String quotCustomerBm) {this.quotCustomerBm = quotCustomerBm;}

    public String getQuotCustomerName()
    {
        return quotCustomerName;
    }
    public void setQuotSalesmanDeptId(String quotSalesmanDeptId)
    {
        this.quotSalesmanDeptId = quotSalesmanDeptId;
    }

    public String getQuotSalesmanDeptId()
    {
        return quotSalesmanDeptId;
    }
    public void setQuotSalesmanDeptName(String quotSalesmanDeptName) { this.quotSalesmanDeptName = quotSalesmanDeptName; }

    public String getQuotSalesmanDeptName()
    {
        return quotSalesmanDeptName;
    }
    public void setQuotAddress(String quotAddress)
    {
        this.quotAddress = quotAddress;
    }

    public String getQuotAddress()
    {
        return quotAddress;
    }
    public void setQuotPhone(String quotPhone)
    {
        this.quotPhone = quotPhone;
    }

    public String getQuotPhone()
    {
        return quotPhone;
    }
    public void setQuotInquiryDate(Date quotInquiryDate) { this.quotInquiryDate = quotInquiryDate;}

    public Date getQuotInquiryDate()
    {
        return quotInquiryDate;
    }
    public void setQuotProject(String quotProject)
    {
        this.quotProject = quotProject;
    }

    public String getQuotProject()
    {
        return quotProject;
    }
    public void setQuotQuotationDate(Date quotQuotationDate)
    {
        this.quotQuotationDate = quotQuotationDate;
    }

    public Date getQuotQuotationDate()
    {
        return quotQuotationDate;
    }
    public void setQuotQuotationFrom(String quotQuotationFrom)
    {
        this.quotQuotationFrom = quotQuotationFrom;
    }

    public String getQuotQuotationFrom()
    {
        return quotQuotationFrom;
    }
    public void setQuotQuotationRequire(String quotQuotationRequire) { this.quotQuotationRequire = quotQuotationRequire; }

    public String getQuotQuotationRequire()
    {
        return quotQuotationRequire;
    }
    public void setQuotFeedbackExplanation(String quotFeedbackExplanation) { this.quotFeedbackExplanation = quotFeedbackExplanation; }

    public String getQuotFeedbackExplanation()
    {
        return quotFeedbackExplanation;
    }
    public void setQuotQuantity(String quotQuantity)
    {
        this.quotQuantity = quotQuantity;
    }

    public String getQuotQuantity()
    {
        return quotQuantity;
    }
    public void setQuotTotalPrice(String quotTotalPrice)
    {
        this.quotTotalPrice = quotTotalPrice;
    }

    public String getQuotTotalPrice()
    {
        return quotTotalPrice;
    }
    public void setQuotCheckUserName(String quotCheckUserName)
    {
        this.quotCheckUserName = quotCheckUserName;
    }

    public String getQuotCheckUserName()
    {
        return quotCheckUserName;
    }
    public void setQuotCheckUserNickname(String quotCheckUserNickname) { this.quotCheckUserNickname = quotCheckUserNickname; }

    public String getQuotCheckUserNickname()
    {
        return quotCheckUserNickname;
    }
    public void setQuotApprovalStatus(String quotApprovalStatus)
    {
        this.quotApprovalStatus = quotApprovalStatus;
    }

    public String getQuotApprovalStatus()
    {
        return quotApprovalStatus;
    }
    public String getCreateName() {return createName;}

    public void setCreateName(String createName) {this.createName = createName;}
    public List<QuotMaterial> getQuotMaterialList()
    {
        return quotMaterialList;
    }

    public void setQuotMaterialList(List<QuotMaterial> quotMaterialList)
    {
        this.quotMaterialList = quotMaterialList;
    }

    public String getQuotJsxzStandard() {return quotJsxzStandard;}
    public void setQuotJsxzStandard(String quotJsxzStandard) {this.quotJsxzStandard = quotJsxzStandard; }

    public String getQuotJsxzApprovalStatus() {return quotJsxzApprovalStatus; }
    public void setQuotJsxzApproval_status(String quotJsxzApproval_status) {this.quotJsxzApprovalStatus = quotJsxzApprovalStatus; }

    public String getQuotJsxzChapter() {return quotJsxzChapter; }
    public void setQuotJsxzChapter(String quotJsxzChapter) {this.quotJsxzChapter = quotJsxzChapter; }

    public String getQuotJsxzTechnicalRequirement() {return quotJsxzTechnicalRequirement; }
    public void setQuotJsxzTechnicalRequirement(String quotJsxzTechnicalRequirement) {this.quotJsxzTechnicalRequirement = quotJsxzTechnicalRequirement; }

    public String[] getQuotJsxzGroup() {return quotJsxzGroup; }
    public void setQuotJsxzGroup(String[] quotJsxzGroup) { this.quotJsxzGroup = quotJsxzGroup; }

    public String getQuotJsxzGroupValues() { return quotJsxzGroupValues; }
    public void setQuotJsxzGroupValues(String quotJsxzGroupValues) { this.quotJsxzGroupValues = quotJsxzGroupValues; }

    public String getQuotJsxzConfirmId() { return quotJsxzConfirmId; }
    public void setQuotJsxzConfirmId(String quotJsxzConfirmId) { this.quotJsxzConfirmId = quotJsxzConfirmId; }

    public String getQuotJsxzConfirmCode() { return quotJsxzConfirmCode; }
    public void setQuotJsxzConfirmCode(String quotJsxzConfirmCode) { this.quotJsxzConfirmCode = quotJsxzConfirmCode; }

    public void setQuotJsxzApprovalStatus(String quotJsxzApprovalStatus) { this.quotJsxzApprovalStatus = quotJsxzApprovalStatus; }
    public String getQuotJsqrTlApprovalStatus() { return quotJsqrTlApprovalStatus; }

    public void setQuotJsqrTlApprovalStatus(String quotJsqrTlApprovalStatus) { this.quotJsqrTlApprovalStatus = quotJsqrTlApprovalStatus; }
    public String getQuotJsqrTlRemark() { return quotJsqrTlRemark; }

    public void setQuotJsqrTlRemark(String quotJsqrTlRemark) { this.quotJsqrTlRemark = quotJsqrTlRemark; }
    public String getQuotJsqrDyApprovalStatus() { return quotJsqrDyApprovalStatus; }

    public void setQuotJsqrDyApprovalStatus(String quotJsqrDyApprovalStatus) { this.quotJsqrDyApprovalStatus = quotJsqrDyApprovalStatus; }
    public String getQuotJsqrDyRemark() { return quotJsqrDyRemark; }

    public void setQuotJsqrDyRemark(String quotJsqrDyRemark) { this.quotJsqrDyRemark = quotJsqrDyRemark; }
    public String getQuotJsqrZyApprovalStatus() { return quotJsqrZyApprovalStatus; }

    public void setQuotJsqrZyApprovalStatus(String quotJsqrZyApprovalStatus) { this.quotJsqrZyApprovalStatus = quotJsqrZyApprovalStatus; }
    public String getQuotJsqrZyRemark() { return quotJsqrZyRemark; }

    public void setQuotJsqrZyRemark(String quotJsqrZyRemark) { this.quotJsqrZyRemark = quotJsqrZyRemark; }
    public String getQuotJsqrQtApprovalStatus() { return quotJsqrQtApprovalStatus; }

    public void setQuotJsqrQtApprovalStatus(String quotJsqrQtApprovalStatus) { this.quotJsqrQtApprovalStatus = quotJsqrQtApprovalStatus; }
    public String getQuotJsqrQtRemark() { return quotJsqrQtRemark; }

    public void setQuotJsqrQtRemark(String quotJsqrQtRemark) { this.quotJsqrQtRemark = quotJsqrQtRemark; }
}
