package com.ruoyi.quot.mapper;

import java.util.List;
import com.ruoyi.quot.domain.Quot;
import com.ruoyi.quot.domain.QuotMaterial;

/**
 * 报价Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-01
 */
public interface QuotMapper
{
    /**
     * 查询报价
     *
     * @param quotId 报价主键
     * @return 报价
     */
    public Quot selectQuotByQuotId(String quotId);

    /**
     * 查询报价列表
     *
     * @param quot 报价
     * @return 报价集合
     */
    public List<Quot> selectQuotList(Quot quot);

    /**
     * 新增报价
     *
     * @param quot 报价
     * @return 结果
     */
    public int insertQuot(Quot quot);

    /**
     * 修改报价
     *
     * @param quot 报价
     * @return 结果
     */
    public int updateQuot(Quot quot);

    /**
     * 删除报价
     *
     * @param quotId 报价主键
     * @return 结果
     */
    public int deleteQuotByQuotId(String quotId);

    /**
     * 批量删除报价
     *
     * @param quotIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuotByQuotIds(String[] quotIds);

    /**
     * 批量删除报价单-产品
     *
     * @param quotIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuotMaterialByQuotIds(String[] quotIds);

    /**
     * 批量新增报价单-产品
     *
     * @param quotMaterialList 报价单-产品列表
     * @return 结果
     */
    public int batchQuotMaterial(List<QuotMaterial> quotMaterialList);


    /**
     * 通过报价主键删除报价单-产品信息
     *
     * @param quotId 报价ID
     * @return 结果
     */
    public int deleteQuotMaterialByQuotId(String quotId);

    /**
     * 技术确认单Id
     * @param quotJsqrId
     * @return
     */
    Quot selectQuotByQuotJsqrId(String quotJsqrId);
}
