package com.ruoyi.quot.service;

import com.ruoyi.quot.domain.QuotFile;

import java.util.List;

/**
 * 报价单-文件Service接口
 *
 * @author ruoyi
 * @date 2024-04-01
 */
public interface IQuotFileService
{

    /**
     * 查询报价单-文件
     *
     * @param fileId 报价单-文件主键
     * @return 报价单-文件
     */
    public QuotFile selectQuotFileByFileId(String fileId);

    /**
     * 查询报价单-文件列表
     *
     * @param quotFile 报价单-文件
     * @return 报价单-文件集合
     */
    public List<QuotFile> selectQuotFileList(QuotFile quotFile);

    /**
     * 新增报价单-文件
     *
     * @param quotFile 报价单-文件
     * @return 结果
     */
    public int insertQuotFile(QuotFile quotFile);

    /**
     * 删除报价单-文件信息
     *
     * @param fileId 报价单-文件主键
     * @return 结果
     */
    public int deleteQuotFileByFileId(String fileId);
}
