package com.ruoyi.quot.service;

import java.util.List;
import com.ruoyi.quot.domain.Quot;

/**
 * 报价Service接口
 *
 * @author ruoyi
 * @date 2024-04-01
 */
public interface IQuotService
{
    /**
     * 查询报价
     *
     * @param quotId 报价主键
     * @return 报价
     */
    public Quot selectQuotByQuotId(String quotId);

    /**
     * 查询报价列表
     *
     * @param quot 报价
     * @return 报价集合
     */
    public List<Quot> selectQuotList(Quot quot);

    /**
     * 新增报价
     *
     * @param quot 报价
     * @return 结果
     */
    public int insertQuot(Quot quot);

    /**
     * 修改报价
     *
     * @param quot 报价
     * @return 结果
     */
    public int updateQuot(Quot quot);

    /**
     * 批量删除报价
     *
     * @param quotIds 需要删除的报价主键集合
     * @return 结果
     */
    public int deleteQuotByQuotIds(String[] quotIds);

    /**
     * 删除报价信息
     *
     * @param quotId 报价主键
     * @return 结果
     */
    public int deleteQuotByQuotId(String quotId);

    /**
     * 技术确认单Id
     * @param quotJsqrId
     * @return
     */
    Quot selectQuotByQuotJsqrId(String quotJsqrId);
}
