package com.ruoyi.quot.service.impl;

import java.util.List;

import com.ruoyi.quot.domain.QuotFile;
import com.ruoyi.quot.mapper.QuotFileMapper;
import com.ruoyi.quot.service.IQuotFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * 报价单-文件Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-01
 */
@Service
public class QuotFileServiceImpl implements IQuotFileService
{
    @Autowired
    private QuotFileMapper quotFileMapper;

    /**
     * 查询报价单-文件
     *
     * @param fileId 报价单-文件主键
     * @return 报价单-文件
     */
    @Override
    public QuotFile selectQuotFileByFileId(String fileId)
    {
        return quotFileMapper.selectQuotFileByFileId(fileId);
    }


    /**
     * 查询报价单-文件列表
     *
     * @param quotFile 报价单-文件
     * @return 报价单-文件
     */
    @Override
    public List<QuotFile> selectQuotFileList(QuotFile quotFile)
    {
        return quotFileMapper.selectQuotFileList(quotFile);
    }

    /**
     * 新增报价单-文件
     *
     * @param quotFile 报价单-文件
     * @return 结果
     */
    @Override
    @Transactional
    public int insertQuotFile(QuotFile quotFile)
    {
        return quotFileMapper.insertQuotFile(quotFile);
    }

    /**
     * 删除报价单-文件信息
     *
     * @param fileId 报价单-文件主键
     * @return 结果
     */
    @Override
    @Transactional
    public int deleteQuotFileByFileId(String fileId)
    {
        return quotFileMapper.deleteQuotFileByFileId(fileId);
    }
}
