package com.ruoyi.sysSapUser.mapper;

import java.util.List;
import com.ruoyi.sysSapUser.domain.SysSapUser;

/**
 * SAP账户Mapper接口
 * 
 * @author ruoyi
 * @date 2024-04-02
 */
public interface SysSapUserMapper 
{
    /**
     * 查询SAP账户
     * 
     * @param sapUserId SAP账户主键
     * @return SAP账户
     */
    public SysSapUser selectSysSapUserBySapUserId(String sapUserId);

    /**
     * 查询SAP账户列表
     * 
     * @param sysSapUser SAP账户
     * @return SAP账户集合
     */
    public List<SysSapUser> selectSysSapUserList(SysSapUser sysSapUser);

    /**
     * 新增SAP账户
     * 
     * @param sysSapUser SAP账户
     * @return 结果
     */
    public int insertSysSapUser(SysSapUser sysSapUser);

    /**
     * 修改SAP账户
     * 
     * @param sysSapUser SAP账户
     * @return 结果
     */
    public int updateSysSapUser(SysSapUser sysSapUser);

    /**
     * 删除SAP账户
     * 
     * @param sapUserId SAP账户主键
     * @return 结果
     */
    public int deleteSysSapUserBySapUserId(String sapUserId);

    /**
     * 批量删除SAP账户
     * 
     * @param sapUserIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysSapUserBySapUserIds(String[] sapUserIds);
}
