package com.ruoyi.sysSapUser.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.sysSapUser.mapper.SysSapUserMapper;
import com.ruoyi.sysSapUser.domain.SysSapUser;
import com.ruoyi.sysSapUser.service.ISysSapUserService;

/**
 * SAP账户Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-04-02
 */
@Service
public class SysSapUserServiceImpl implements ISysSapUserService 
{
    @Autowired
    private SysSapUserMapper sysSapUserMapper;

    /**
     * 查询SAP账户
     * 
     * @param sapUserId SAP账户主键
     * @return SAP账户
     */
    @Override
    public SysSapUser selectSysSapUserBySapUserId(String sapUserId)
    {
        return sysSapUserMapper.selectSysSapUserBySapUserId(sapUserId);
    }

    /**
     * 查询SAP账户列表
     * 
     * @param sysSapUser SAP账户
     * @return SAP账户
     */
    @Override
    public List<SysSapUser> selectSysSapUserList(SysSapUser sysSapUser)
    {
        return sysSapUserMapper.selectSysSapUserList(sysSapUser);
    }

    /**
     * 新增SAP账户
     * 
     * @param sysSapUser SAP账户
     * @return 结果
     */
    @Override
    public int insertSysSapUser(SysSapUser sysSapUser)
    {
        return sysSapUserMapper.insertSysSapUser(sysSapUser);
    }

    /**
     * 修改SAP账户
     * 
     * @param sysSapUser SAP账户
     * @return 结果
     */
    @Override
    public int updateSysSapUser(SysSapUser sysSapUser)
    {
        return sysSapUserMapper.updateSysSapUser(sysSapUser);
    }

    /**
     * 批量删除SAP账户
     * 
     * @param sapUserIds 需要删除的SAP账户主键
     * @return 结果
     */
    @Override
    public int deleteSysSapUserBySapUserIds(String[] sapUserIds)
    {
        return sysSapUserMapper.deleteSysSapUserBySapUserIds(sapUserIds);
    }

    /**
     * 删除SAP账户信息
     * 
     * @param sapUserId SAP账户主键
     * @return 结果
     */
    @Override
    public int deleteSysSapUserBySapUserId(String sapUserId)
    {
        return sysSapUserMapper.deleteSysSapUserBySapUserId(sapUserId);
    }
}
