package com.ruoyi.technicalConfirm.mapper;

import com.ruoyi.technicalConfirm.domain.QuotJsqr;

import java.util.List;

/**
 * 报价单-技术确认单Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-07
 */
public interface QuotJsqrMapper
{
    /**
     * 查询报价单-技术确认单
     *
     * @param quotJsqrId 报价单-技术确认单主键
     * @return 报价单-技术确认单
     */
    public QuotJsqr selectQuotJsqrByQuotJsqrId(String quotJsqrId);

    /**
     * 查询报价单-技术确认单列表
     *
     * @param quotJsqr 报价单-技术确认单
     * @return 报价单-技术确认单集合
     */
    public List<QuotJsqr> selectQuotJsqrList(QuotJsqr quotJsqr);

    /**
     * 新增报价单-技术确认单
     *
     * @param quotJsqr 报价单-技术确认单
     * @return 结果
     */
    public int insertQuotJsqr(QuotJsqr quotJsqr);

    /**
     * 修改报价单-技术确认单
     *
     * @param quotJsqr 报价单-技术确认单
     * @return 结果
     */
    public int updateQuotJsqr(QuotJsqr quotJsqr);

    /**
     * 删除报价单-技术确认单
     *
     * @param quotJsqrId 报价单-技术确认单主键
     * @return 结果
     */
    public int deleteQuotJsqrByQuotJsqrId(String quotJsqrId);

    /**
     * 批量删除报价单-技术确认单
     *
     * @param quotJsqrIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuotJsqrByQuotJsqrIds(String[] quotJsqrIds);
}
