package com.ruoyi.technicalConfirm.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.technicalConfirm.domain.QuotJsqr;
import com.ruoyi.technicalConfirm.mapper.QuotJsqrMapper;
import com.ruoyi.technicalConfirm.service.IQuotJsqrService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 报价单-技术确认单Service业务层处理
 *
 * @author ruoyi
 * @date 2024-04-07
 */
@Service
public class QuotJsqrServiceImpl implements IQuotJsqrService
{
    @Autowired
    private QuotJsqrMapper quotJsqrMapper;

    /**
     * 查询报价单-技术确认单
     *
     * @param quotJsqrId 报价单-技术确认单主键
     * @return 报价单-技术确认单
     */
    @Override
    public QuotJsqr selectQuotJsqrByQuotJsqrId(String quotJsqrId)
    {
        return quotJsqrMapper.selectQuotJsqrByQuotJsqrId(quotJsqrId);
    }

    /**
     * 查询报价单-技术确认单列表
     *
     * @param quotJsqr 报价单-技术确认单
     * @return 报价单-技术确认单
     */
    @Override
    public List<QuotJsqr> selectQuotJsqrList(QuotJsqr quotJsqr)
    {
        return quotJsqrMapper.selectQuotJsqrList(quotJsqr);
    }

    /**
     * 新增报价单-技术确认单
     *
     * @param quotJsqr 报价单-技术确认单
     * @return 结果
     */
    @Override
    @Transactional
    public int insertQuotJsqr(QuotJsqr quotJsqr)
    {
        quotJsqr.setCreateTime(DateUtils.getNowDate());
        quotJsqr.setUpdateTime(DateUtils.getNowDate());
        return quotJsqrMapper.insertQuotJsqr(quotJsqr);
    }

    /**
     * 修改报价单-技术确认单
     *
     * @param quotJsqr 报价单-技术确认单
     * @return 结果
     */
    @Override
    @Transactional
    public int updateQuotJsqr(QuotJsqr quotJsqr)
    {
        quotJsqr.setUpdateTime(DateUtils.getNowDate());
        return quotJsqrMapper.updateQuotJsqr(quotJsqr);
    }

    /**
     * 批量删除报价单-技术确认单
     *
     * @param quotJsqrIds 需要删除的报价单-技术确认单主键
     * @return 结果
     */
    @Override
    public int deleteQuotJsqrByQuotJsqrIds(String[] quotJsqrIds)
    {
        return quotJsqrMapper.deleteQuotJsqrByQuotJsqrIds(quotJsqrIds);
    }

    /**
     * 删除报价单-技术确认单信息
     *
     * @param quotJsqrId 报价单-技术确认单主键
     * @return 结果
     */
    @Override
    public int deleteQuotJsqrByQuotJsqrId(String quotJsqrId)
    {
        return quotJsqrMapper.deleteQuotJsqrByQuotJsqrId(quotJsqrId);
    }
}
