import request from '@/utils/request'

// 查询客户管理列表
export function listCustomer(query) {
  return request({
    url: '/customer/customer/list',
    method: 'get',
    params: query
  })
}

// 查询客户管理详细
export function getCustomer(cusId) {
  return request({
    url: '/customer/customer/' + cusId,
    method: 'get'
  })
}

// 新增客户管理
export function addCustomer(data) {
  return request({
    url: '/customer/customer',
    method: 'post',
    data: data
  })
}

// 修改客户管理
export function updateCustomer(data) {
  return request({
    url: '/customer/customer',
    method: 'put',
    data: data
  })
}

//提交客户信息
export function commitCustomer(data) {
  return request({
    url: '/customer/customer/commitCustomer',
    method: 'post',
    data: data
  })
}

// 删除客户管理
export function delCustomer(cusId) {
  return request({
    url: '/customer/customer/' + cusId,
    method: 'delete'
  })
}

/******************************企查查模块***********************************/
// 查询企查查客户列表
export function qccListCustomer(query) {
  return request({
    url: '/customer/customer/qccListCustomer',
    method: 'get',
    params: query
  })
}
