import request from '@/utils/request'

// 查询报价列表
export function listQuot(query) {
  return request({
    url: '/quot/quot/list',
    method: 'get',
    params: query
  })
}

// 查询报价详细
export function getQuot(quotId) {
  return request({
    url: '/quot/quot/' + quotId,
    method: 'get'
  })
}

// 新增报价
export function addQuot(data) {
  return request({
    url: '/quot/quot',
    method: 'post',
    data: data
  })
}

// 修改报价
export function updateQuot(data) {
  return request({
    url: '/quot/quot',
    method: 'put',
    data: data
  })
}

// 删除报价
export function delQuot(quotId) {
  return request({
    url: '/quot/quot/' + quotId,
    method: 'delete'
  })
}

// 查询附件列表
export function quotFileList(query) {
  return request({
    url: '/quot/quot/quotFileList',
    method: 'get',
    params: query
  })
}

//删除附件
export function quotFileDelete(fileId) {
  return request({
    url: '/quot/quot/quotFileDelete',
    method: 'post',
    params: {fileId:fileId}
  })
}

//提交报价信息
export function commitQuot(data) {
  return request({
    url: '/quot/quot/commitQuot',
    method: 'post',
    data: data
  })
}

//提交技术协助
export function commitJsQuot(data) {
  return request({
    url: '/quot/quot/commitJsQuot',
    method: 'post',
    data: data
  })
}

