import request from '@/utils/request'

// 查询SAP账户列表
export function listSysSapUser(query) {
  return request({
    url: '/sysSapUser/sysSapUser/list',
    method: 'get',
    params: query
  })
}

// 查询SAP账户详细
export function getSysSapUser(sapUserId) {
  return request({
    url: '/sysSapUser/sysSapUser/' + sapUserId,
    method: 'get'
  })
}

// 新增SAP账户
export function addSysSapUser(data) {
  return request({
    url: '/sysSapUser/sysSapUser',
    method: 'post',
    data: data
  })
}

// 修改SAP账户
export function updateSysSapUser(data) {
  return request({
    url: '/sysSapUser/sysSapUser',
    method: 'put',
    data: data
  })
}

// 删除SAP账户
export function delSysSapUser(sapUserId) {
  return request({
    url: '/sysSapUser/sysSapUser/' + sapUserId,
    method: 'delete'
  })
}
