import request from '@/utils/request'

// 查询报价单-技术确认单列表
export function listJsqr(query) {
  return request({
    url: '/jsqr/jsqr/list',
    method: 'get',
    params: query
  })
}

// 查询报价单-技术确认单详细
export function getJsqr(quotJsqrId) {
  return request({
    url: '/jsqr/jsqr/' + quotJsqrId,
    method: 'get'
  })
}

// 新增报价单-技术确认单
export function addJsqr(data) {
  return request({
    url: '/jsqr/jsqr',
    method: 'post',
    data: data
  })
}

// 修改报价单-技术确认单
export function updateJsqr(data) {
  return request({
    url: '/jsqr/jsqr',
    method: 'put',
    data: data
  })
}

// 删除报价单-技术确认单
export function delJsqr(quotJsqrId) {
  return request({
    url: '/jsqr/jsqr/' + quotJsqrId,
    method: 'delete'
  })
}

//操作人、审核人、组长 确认事件
export function doOperate(param) {
  return request({
    url: '/jsqr/jsqr/doOperate',
    method: 'post',
    data: param
  })
}

//提交报价技术确认单
export function commitQuot(data) {
  return request({
    url: '/jsqr/jsqr/commitQuot',
    method: 'post',
    data: data
  })
}
